module mde.input.exception;

public import mde.exception;

/// Base Input exception class.
class inputException : mdeException {
    static const char[] symbol;
    static this () {	symbol = super.symbol ~ ".input";	}
    char[] getSymbol () {
        return symbol;
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class InputClassException : inputException {
    static const char[] symbol;
    static this () {	symbol = super.symbol ~ ".input.Input";	}
    char[] getSymbol () {
        return symbol;
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class ConfigLoadException : inputException {
    static const char[] symbol;
    static this () {	symbol = super.symbol ~ ".config.Config";	}
    char[] getSymbol () {
        return symbol;
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}
