/**
* Interface for readers.
*/
module mde.mergetag.iface.IReader;

import mde.mergetag.DataSet;

import tango.util.collection.model.View : View;

/** Interface for all mergetag readers (MTTReader etc.).
*/
interface IReader {
    DataSet dataset ();                 /// Get the DataSet
    void dataset (DataSet);             /// Set the DataSet
    
    void dataSecCreator (IDataSection delegate (ID));   /// Set the dataSecCreator
    
    ID[] getSectionNames ();            /// Get identifiers for all sections
    void read ();                       /// Commence reading
    void read (ID[] secSet);            /// ditto
    void read (View!(ID) secSet);       /// ditto
}
