/** This module is for global objects.
*
* It's existance may only be temporary until objects are used in other ways; use of global objects
* is generally disliked.
*
* I suggest importing via a rename or static import, so on use it's obvious where the objects used
* are declared.
*/
module mde.global;

import mde.input.input;

bool run = true;	// mail loop continues if this is true

Input input;		// Input instance. When multiple users are allowed instances will be per-user.
