/** A module to run all mde unittests and potentially to perform other tests.
*/
module test.mdeTest;

// This module should import all mde modules containing unittests:
import mde.input.input;
import mde.mergetag.DataSet;
import mde.mergetag.mtunittest;
import mde.exception;
import mde.Init;
import mde.i18n.I18nTranslation;

import tango.util.log.Log : Log, Logger;

// Set this version to tell mde.init that the root logger is set up here.
version=mdeTest;

private Logger logger;

static this()
{
    // Set up console logging:
    Logger root = Log.getRootLogger();
    root.setLevel(root.Level.Trace);
    root.addAppender(new ConsoleAppender);
    
    logger = Log.getLogger ("test.mdeTest");
}

void main() {
    logger.info ("All unittests complete.");
}
